Summary:	Network exploration tool and security scanner
Summary(de):	Netzwerk-Monitor
Name:		nmap
Version:	7.80
Release:	%mkrel 2
License:	GPLv2
Group:		Networking/Other
URL:		http://nmap.org/
Source0:	http://download.insecure.org/nmap/dist/%{name}-%{version}.tar.xz
Source1:	%{name}_icons.tar.bz2
Patch1:		nmap-4.00-noreturn.diff
Patch2:		nmap-5.21-md2.patch
BuildRequires:	pcre-devel
BuildRequires:	libpcap-devel
BuildRequires:	openssl-devel
BuildRequires:	python-devel >= 2.6
BuildRequires:	%{_lib}lua5.2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python >= 2.7

%description
Nmap is a utility for network exploration or security auditing. It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd scanning, and
more.

#german
%description -l de
Mit Nmap lassen sich Netzwerke durchsuchen und auf Sicherheitsprobleme 
überprüfen. Nmap unterstützt Ping-Scannen (Feststellen, welcher Rechner 
erreichbar ist), viele Port-Scan-Methoden, Versionserkennung (Identifizieren 
des Protokolls und der Version des Programms, welches auf einem Port lauscht) 
und TCP/IP-Fingerprinting (Erkennen des Betriebssystems oder des Gerätes, 
welches am anderen Ende der Leitung lauscht). Nmap ermöglicht eine flexible 
Angabe des Ziels und des Zielports, Stealth-Scanning, sunRPC-Scanning u.v.m. 
Die meisten Unix- und Windows-Systeme werden sowohl von der grafischen 
Benutzeroberfläche als auch von der Befehlszeile unterstützt. Viele Handhelds 
werden ebenso unterstützt, beispielsweise der Sharp Zaurus und der iPAQ.

%package	frontend
Summary:	Multi-platform graphical Nmap frontend and results viewer
Summary(de):	Gtk+ Frontend für nmap
Group:		Networking/Other
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	pygtk2.0
Requires:	python-sqlite2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	frontend
Zenmap is an Nmap frontend. It is meant to be useful for advanced users and to
make Nmap easy to use by beginners. It was originally derived from Umit, an
Nmap GUI created as part of the Google Summer of Code.

#german
%description frontend -l de
Dieses Paket beinhaltet nmapfe, ein Gtk+ Frontend für nmap. nmap muss vor dem 
nmap-frontend-Paket installiert werden.

%prep
%setup -q -n %{name}-%{version} -a1
#%patch1 -p0 -b .noreturn

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
# update config.* to recognize amd64-*
%{?__cputoolize: %{__cputoolize} -c nsock/src}
%{?__cputoolize: %{__cputoolize} -c nping}

%configure2_5x
%make 

%install
rm -rf %{buildroot}
unset PYTHONDONTWRITEBYTECODE
%makeinstall_std nmapdatadir=%{_datadir}/nmap STRIP=/bin/true

install -m0644 docs/zenmap.1 %{buildroot}%{_mandir}/man1/

install -d %{buildroot}{%_miconsdir,%_liconsdir}
install -m0644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/*.desktop

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Nmap
Name[de]=Nmap
Comment=A frontend for the nmap port scanner
Comment[de]= Eine grafische Oberfläche für den Portscanner nmap
Exec=%{_bindir}/zenmap
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

# cleanup
rm -f %{buildroot}%{_bindir}/uninstall_zenmap

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG COPYING* HACKING docs/README docs/nmap.usage.txt
%{_bindir}/%{name}
#%%{_bindir}/%{name}-update
%{_bindir}/uninstall_ndiff
%{_bindir}/ncat
%{_bindir}/ndiff
%{_bindir}/nping
%{_datadir}/%{name}
%{_mandir}/man1/nmap.*
%{_mandir}/man1/ncat.*
%{_mandir}/man1/ndiff.*
%{_mandir}/man1/nping.*
#%%{_mandir}/man1/%{name}-update.*
%{_datadir}/ncat
#%%ifarch %{ix86}
#%%{_bindir}/nmap-update
#%%endif

%files frontend
%defattr(-,root,root)
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_bindir}/zenmap
%{python_sitelib}/*
%{_datadir}/zenmap
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/zenmap.1*
%{_mandir}/*/man1/nmap.1.bz2
#%%ifarch %{ix86}
#%%{_mandir}/man1/nmap-update.1.bz2
#%%endif


%changelog
* Mon Dec 02 2019 tex - 7.80-2pclos2019
- rebuild against updates

* Sat Aug 10 2019 tex - 7.80-1pclos2019
- new version

* Tue Jan 15 2019 tex - 7.70-2pclos2019
- rebuild against updates

* Sun Mar 25 2018 bb2 <bb2> - 7.70-1pclos2018
- new version

* Sat Dec 31 2016 bb <bb> - 7.40-1pclos2017
- new version

* Sat Oct 29 2016 ghostbunny <ghostbunny at gmx dot de> 7.31-1pclos2016
- 7.31

* Sun Mar 20 2016 ghostbunny <ghostbunny at gmx dot de> 7.10-1pclos2016
- 7.10


